Indhold
Indholdsfortegnelse 🔎︎

# StrComp-funktion

Sammenligner to strenge og returnerer en heltalsværdi der repræsenterer resultatet af sammenligningen.

## Syntaks:

    StrComp (Tekst1 som streng, Text2 som streng[, Sammenlign])

## Returværdi:

Integer

## Parameter:

Text1: Vilkårligt strengudtryk

Text2: Vilkårligt strengudtryk

Compare: Denne valgfrie parameter sætter sammenligningsmetoden. Hvis Compare = 1, er strengsammenligningen afhængig af store og små bogstaver. Hvis Compare = 0, skelnes der ikke mellem store og små bogstaver.

### Returværdi

- Hvis Text1 < Text2 returnerer funktionen -1

- Hvis Text1 = Text2 returnerer funktionen 0

- Hvis Text1 > Text2 returnerer funktionen 1

### Fejlkoder:

5 Ugyldigt Procedurekald

## Eksempel:

    Sub ExampleStrComp
    Dim iVar As Single
    Dim sVar As String
        iVar = 123.123
        sVar = Str$(iVar)
        MsgBox strcomp(sVar , Str$(iVar),1)
    End Sub